Bug 1282261 - 5.4.3-1 update fails to load with missing symbol, causes kded5 to fail
5.4.3-1 update fails to load with missing symbol, causes kded5 to fail
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: powerdevil (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
: 1281560 1282184 1282324 1282434 1282594 1283161 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 16:06 EST by mendiebm
Modified: 2016-07-20 06:15 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:28:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (585.14 KB, text/plain)
2016-01-02 05:35 EST, g128
no flags Details

  None (edit)
Description mendiebm 2015-11-15 16:06:49 EST
Description of problem:
powerdevil fails to load, causing kded5 to fail to load, causing KDE to behave unpredictably (no services to handle clipboard, power, hotkeys etc), and randomly freeze while possibly trying to restart kded5.

Version-Release number of selected component (if applicable):
5.4.3-1

How reproducible:
Always I'd guess

Steps to Reproduce:
1.Update to this version, reboot and check journal, 
2.

Actual results:
should see entry
"/bin/kded5: symbol lookup error: /lib64/libpowerdevilcore.so.2: undefined symbol: _ZNK11QMetaObject10Connection18isConnected_helperEv".

Expected results:
Should see no error entry for this module

Additional info:
Downgrading to 5.3.0 fixes the problem
Comment 1 Rex Dieter 2015-11-15 16:16:13 EST
rpm -q -f kf5-kded powerdevil
Comment 2 mendiebm 2015-11-16 13:55:46 EST
$ rpm -q -f /usr/share/doc/powerdevil
powerdevil-5.3.0-1.fc22.x86_64
$ rpm -q -f /usr/share/doc/kf5-kded
kf5-kded-5.15.0-1.fc22.x86_64

(-f does not work for me unless a full file name is provided)

$ dnf list updates | grep powerdevil
powerdevil.x86_64                                     5.4.3-1.fc22                                 updates    

The offered update is the one from which I downgraded, i.e. the one that fails to load.

Apologies if I have not provided sufficient or the right information - this is the first Fedora bug I've raised before.
Comment 3 Jonathan Wakely 2015-11-17 08:07:29 EST
Confirmed with:
powerdevil-5.4.3-1.fc22.x86_64
kf5-kded-5.15.0-1.fc22.x86_64

As noted in the duplicate Bug 1282594, renaming/removing the file /usr/share/kservices5/kded/powerdevil.desktop makes KDE usable again.

Bug 1282324 is another dup.
Comment 4 Enrico Tagliavini 2015-11-17 08:30:10 EST
Regenerating powerdevil RPM fixed the issue for me. Tried with two users: mine and a test one created fresh that I used to reproduce the issue.

Login is slow (but this is another bug) but it works. To recompile the RPM I used:

mock --arch=x86_64 --root=fedora-22-x86_64 powerdevil-5.4.3-1.fc22.src.rpm

mock config files are the default, I never changed them
Comment 5 Jonathan Wakely 2015-11-17 08:38:34 EST
I can confirm that downgrading to 5.3.0 also solves the problem.
Comment 6 Jonathan Wakely 2015-11-17 09:49:58 EST
The problem is that powerdevil-5.4.3-1 was built against qt5-qtbase-5.5.1-4 but F22 repos only contain qt5-qbase-5.5.0-18

https://kojipkgs.fedoraproject.org//packages/powerdevil/5.4.3/1.fc22/data/logs/x86_64/root.log shows:

DEBUG util.py:393:   --> qt5-qtbase-devel-5.5.1-4.fc22.x86_64

$ rpm -q qt5-qtbase
qt5-qtbase-5.5.0-18.fc22.x86_64


qt5-qtbase is still in updates-testing, but packages the depend on it have already been pushed to stable
Comment 7 Jonathan Wakely 2015-11-17 09:51:40 EST
https://bodhi.fedoraproject.org/updates/FEDORA-2015-3c671e20a3 contains the required update
Comment 8 Rex Dieter 2015-11-17 09:58:57 EST
*** Bug 1282594 has been marked as a duplicate of this bug. ***
Comment 9 Rex Dieter 2015-11-17 09:59:07 EST
*** Bug 1282324 has been marked as a duplicate of this bug. ***
Comment 10 Jonathan Wakely 2015-11-17 10:00:12 EST
I can confirm that powerdevil-5.4.3-1 works OK after installing qt-qtbase-5.5.1-8.fc22 using:

dnf update --enablerepo=updates-testing qt5-qtbase
Comment 11 Fedora Update System 2015-11-17 10:00:40 EST
calibre-2.42.0-1.fc22 fcitx-qt5-1.0.4-3.fc22 python-qt5-5.5.1-2.fc22 qscintilla-2.8.4-6.fc22 qt5-qtbase-5.5.1-8.fc22 qt5-qtconnectivity-5.5.1-2.fc22 qt5-qtdeclarative-5.5.1-3.fc22 qt5-qtdoc-5.5.1-2.fc22 qt5-qtgraphicaleffects-5.5.1-2.fc22 qt5-qtimageformats-5.5.1-2.fc22 qt5-qtlocation-5.5.1-2.fc22 qt5-qtmultimedia-5.5.1-4.fc22 qt5-qtquick1-5.5.1-2.fc22 qt5-qtquickcontrols-5.5.1-2.fc22 qt5-qtscript-5.5.1-2.fc22 qt5-qtsensors-5.5.1-2.fc22 qt5-qtserialport-5.5.1-2.fc22 qt5-qtsvg-5.5.1-2.fc22 qt5-qttools-5.5.1-2.fc22 qt5-qttranslations-5.5.1-2.fc22 qt5-qtwayland-5.5.1-2.fc22 qt5-qtwebchannel-5.5.1-2.fc22 qt5-qtwebkit-5.5.1-4.fc22 qt5-qtwebsockets-5.5.1-2.fc22 qt5-qtx11extras-5.5.1-2.fc22 qt5-qtxmlpatterns-5.5.1-2.fc22 sip-4.17-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3c671e20a3
Comment 12 Rex Dieter 2015-11-18 08:50:51 EST
*** Bug 1283161 has been marked as a duplicate of this bug. ***
Comment 13 Ambrogio 2015-11-18 13:15:20 EST
Works for me after  update --enablerepo=updates-testing qt5-qtbase
Comment 14 Rex Dieter 2015-11-18 13:51:18 EST
*** Bug 1282434 has been marked as a duplicate of this bug. ***
Comment 15 Rex Dieter 2015-11-18 13:51:35 EST
*** Bug 1281560 has been marked as a duplicate of this bug. ***
Comment 16 mendiebm 2015-11-18 15:08:50 EST
Also works for me with testing version of qt5
 (powerdevil                x86_64 5.4.3-1.fc22 updates        
 qt5-qtbase                x86_64 5.5.1-8.fc22 updates-testing)

Thanks to all for a very speedy resolution!
Comment 17 Enrico Tagliavini 2015-11-19 02:10:30 EST
On a second independent system, again Fedora 22 KDE spin based, I tried the updated qt5 5.5.1 packages from updates-testing and they indeed worked like a charm.

However I noticed I had to use the following command to update all packages and not just some of them (note I use fish as a shell, you have to change it for use in bash):

dnf update --enablerepo=updates-testing (rpm -qa | grep '^qt5.*-5\.5\.0.*')

With this the following 4 packages were updated as well

Transaction performed with:
    Installed     dnf-1.1.3-1.fc22.noarch     @updates
    Installed     rpm-4.12.0.1-13.fc22.x86_64 @updates
Packages Altered:
    Upgraded qt5-qtgraphicaleffects-5.5.0-2.fc22.x86_64    @updates
    Upgrade                         5.5.1-2.fc22.x86_64    @updates-testing
    Upgraded qt5-qttools-5.5.0-4.fc22.x86_64               @updates
    Upgrade              5.5.1-2.fc22.x86_64               @updates-testing
    Upgraded qt5-qttools-common-5.5.0-4.fc22.noarch        @updates
    Upgrade                     5.5.1-2.fc22.noarch        @updates-testing
    Upgraded qt5-qttools-libs-designer-5.5.0-4.fc22.x86_64 @updates
    Upgrade                            5.5.1-2.fc22.x86_64 @updates-testing

Since, as far as I know, it is quite critical to keep all qt packages at the same version I thought it was worth sharing.
Comment 18 Ambrogio 2015-11-19 03:21:37 EST
(In reply to mendiebm from comment #16)
> Also works for me with testing version of qt5
>  (powerdevil                x86_64 5.4.3-1.fc22 updates        
>  qt5-qtbase                x86_64 5.5.1-8.fc22 updates-testing)
> 
> Thanks to all for a very speedy resolution!

I think this is not a resolution.
Instead I think that there are a lot of bugs on the stable repos.

I had a similar problem with wine, that after dnf update didn't work.
After an intensive search on solving the problem, I updated from testing and magically it starts working again.
I think we need more stable and reliable distros.
Comment 19 Fedora Update System 2015-11-19 07:23:09 EST
calibre-2.42.0-1.fc22, fcitx-qt5-1.0.4-3.fc22, python-qt5-5.5.1-2.fc22, qscintilla-2.8.4-6.fc22, qt5-qtbase-5.5.1-8.fc22, qt5-qtconnectivity-5.5.1-2.fc22, qt5-qtdeclarative-5.5.1-3.fc22, qt5-qtdoc-5.5.1-2.fc22, qt5-qtgraphicaleffects-5.5.1-2.fc22, qt5-qtimageformats-5.5.1-2.fc22, qt5-qtlocation-5.5.1-2.fc22, qt5-qtmultimedia-5.5.1-4.fc22, qt5-qtquick1-5.5.1-2.fc22, qt5-qtquickcontrols-5.5.1-2.fc22, qt5-qtscript-5.5.1-2.fc22, qt5-qtsensors-5.5.1-2.fc22, qt5-qtserialport-5.5.1-2.fc22, qt5-qtsvg-5.5.1-2.fc22, qt5-qttools-5.5.1-2.fc22, qt5-qttranslations-5.5.1-2.fc22, qt5-qtwayland-5.5.1-2.fc22, qt5-qtwebchannel-5.5.1-2.fc22, qt5-qtwebkit-5.5.1-4.fc22, qt5-qtwebsockets-5.5.1-2.fc22, qt5-qtx11extras-5.5.1-2.fc22, qt5-qtxmlpatterns-5.5.1-2.fc22, sip-4.17-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Rex Dieter 2015-11-19 17:43:50 EST
*** Bug 1282184 has been marked as a duplicate of this bug. ***
Comment 21 Rex Dieter 2015-12-14 12:34:21 EST
Doing fresh powerdevil builds enforcning a minimal qt5-qtbase dep
Comment 22 Fedora Update System 2015-12-14 13:14:37 EST
powerdevil-5.5.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b0381f632
Comment 23 Fedora Update System 2015-12-14 14:34:28 EST
bluedevil-5.5.0-1.fc22 breeze-gtk-5.5.0.1-1.fc22 kde-cli-tools-5.5.0-1.fc22 kde-gtk-config-5.5.0-1.fc22 kde-l10n-14.12.3-9.fc22 kdecoration-5.5.0-1.fc22 kdeplasma-addons-5.5.0-1.fc22 kf5-kwayland-5.5.0-1.fc22 kgamma-5.5.0-1.fc22 khelpcenter-5.5.0-1.fc22 khotkeys-5.5.0-1.fc22 kinfocenter-5.5.0-1.fc22 kmenuedit-5.5.0-1.fc22 kscreen-5.5.0-1.fc22 kscreenlocker-5.5.0-1.fc22 ksshaskpass-5.5.0-1.fc22 ksysguard-5.5.0-1.fc22 kwayland-integration-5.5.0-1.fc22 kwin-5.5.0-1.fc22 kwrited-5.5.0-1.fc22 libkscreen-qt5-5.5.0-1.fc22 libksysguard-5.5.0-1.fc22 muon-5.5.0-1.fc22 pam-kwallet-5.5.0-1.fc22 plasma-breeze-5.5.0-1.fc22 plasma-desktop-5.5.0-4.fc22 plasma-mediacenter-5.5.0-1.fc22 plasma-milou-5.5.0-1.fc22 plasma-nm-5.5.0-2.fc22 plasma-oxygen-5.5.0-1.fc22 plasma-pa-5.5.0-1.fc22 plasma-sdk-5.5.0-1.fc22 plasma-systemsettings-5.5.0-1.fc22 plasma-workspace-5.5.0-4.fc22 polkit-kde-5.5.0-1.fc22 powerdevil-5.5.0-3.fc22 sddm-kcm-5.5.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7b01e524aa
Comment 24 Fedora Update System 2015-12-15 05:52:48 EST
powerdevil-5.5.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update powerdevil'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b0381f632
Comment 25 Fedora Update System 2015-12-17 02:22:50 EST
powerdevil-5.5.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2015-12-22 10:38:29 EST
bluedevil-5.5.0-1.fc22, breeze-gtk-5.5.0.1-1.fc22, kde-cli-tools-5.5.0-1.fc22, kde-gtk-config-5.5.0-1.fc22, kde-l10n-14.12.3-9.fc22, kdecoration-5.5.0-1.fc22, kdeplasma-addons-5.5.0-1.fc22, kf5-kwayland-5.5.0-1.fc22, kgamma-5.5.0-1.fc22, khelpcenter-5.5.0-1.fc22, khotkeys-5.5.0-1.fc22, kinfocenter-5.5.0-1.fc22, kmenuedit-5.5.0-1.fc22, kscreen-5.5.0-1.fc22, kscreenlocker-5.5.0-1.fc22, ksshaskpass-5.5.0-1.fc22, ksysguard-5.5.0-1.fc22, kwayland-integration-5.5.0-1.fc22, kwin-5.5.0-1.fc22, kwrited-5.5.0-1.fc22, libkscreen-qt5-5.5.0-1.fc22, libksysguard-5.5.0-1.fc22, muon-5.5.0-1.fc22, pam-kwallet-5.5.0-1.fc22, plasma-breeze-5.5.0-1.fc22, plasma-desktop-5.5.0-4.fc22, plasma-mediacenter-5.5.0-1.fc22, plasma-milou-5.5.0-1.fc22, plasma-nm-5.5.0-2.fc22, plasma-oxygen-5.5.0-1.fc22, plasma-pa-5.5.0-1.fc22, plasma-sdk-5.5.0-1.fc22, plasma-systemsettings-5.5.0-1.fc22, plasma-workspace-5.5.0-4.fc22, polkit-kde-5.5.0-1.fc22, powerdevil-5.5.0-3.fc22, sddm-kcm-5.5.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7b01e524aa
Comment 27 Fedora Update System 2015-12-28 18:54:41 EST
bluedevil-5.5.0-1.fc22, breeze-gtk-5.5.0.1-1.fc22, kde-cli-tools-5.5.0-1.fc22, kde-gtk-config-5.5.0-1.fc22, kde-l10n-14.12.3-9.fc22, kdecoration-5.5.0-1.fc22, kdeplasma-addons-5.5.0-1.fc22, kf5-kwayland-5.5.0-1.fc22, kgamma-5.5.0-1.fc22, khelpcenter-5.5.0-1.fc22, khotkeys-5.5.0-1.fc22, kinfocenter-5.5.0-1.fc22, kmenuedit-5.5.0-1.fc22, kscreen-5.5.0-1.fc22, kscreenlocker-5.5.0-1.fc22, ksshaskpass-5.5.0-1.fc22, ksysguard-5.5.0-1.fc22, kwayland-integration-5.5.0-1.fc22, kwin-5.5.0-1.fc22, kwrited-5.5.0-1.fc22, libkscreen-qt5-5.5.0-1.fc22, libksysguard-5.5.0-1.fc22, muon-5.5.0-1.fc22, pam-kwallet-5.5.0-1.fc22, plasma-breeze-5.5.0-1.fc22, plasma-desktop-5.5.0-4.fc22, plasma-mediacenter-5.5.0-1.fc22, plasma-milou-5.5.0-1.fc22, plasma-nm-5.5.0-2.fc22, plasma-oxygen-5.5.0-1.fc22, plasma-pa-5.5.0-1.fc22, plasma-sdk-5.5.0-1.fc22, plasma-systemsettings-5.5.0-1.fc22, plasma-workspace-5.5.0-4.fc22, polkit-kde-5.5.0-1.fc22, powerdevil-5.5.0-3.fc22, sddm-kcm-5.5.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 g128 2016-01-02 05:35:29 EST
Another user experienced a similar problem:

Happened just after normal reboot. Reproduces always.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kded5
crash_function: __find_specmb
executable:     /usr/bin/kded5
global_pid:     2352
kernel:         4.2.8-200.fc22.x86_64
package:        kf5-kded-5.17.0-1.fc22
reason:         kded5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 29 g128 2016-01-02 05:35:38 EST
Created attachment 1111001 [details]
File: backtrace
Comment 30 Fedora End Of Life 2016-07-19 14:28:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 31 Jonathan Wakely 2016-07-20 06:15:40 EDT
FWIW I think this was fixed, rather than just EOLd.

Note You need to log in before you can comment on or make changes to this bug.